# (C) 2008 Willem Hengeveld  itsme@xs4all.nl
# this perl module defines all constants as defined in idc.idc
use constant {
    BADADDR => -1,
    BADSEL => -1,
    MAXADDR => 0xFF000000,
    MS_VAL => 0x000000FF,
    FF_IVL => 0x00000100,
    MS_CLS => 0x00000600,
    FF_CODE => 0x00000600,
    FF_DATA => 0x00000400,
    FF_TAIL => 0x00000200,
    FF_UNK => 0x00000000,
    MS_COMM => 0x000FF800,
    FF_COMM => 0x00000800,
    FF_REF => 0x00001000,
    FF_LINE => 0x00002000,
    FF_NAME => 0x00004000,
    FF_LABL => 0x00008000,
    FF_FLOW => 0x00010000,
    FF_VAR => 0x00080000,
    FF_ANYNAME => 0x0000c000, # (FF_LABL|FF_NAME)
    MS_0TYPE => 0x00F00000,
    FF_0VOID => 0x00000000,
    FF_0NUMH => 0x00100000,
    FF_0NUMD => 0x00200000,
    FF_0CHAR => 0x00300000,
    FF_0SEG => 0x00400000,
    FF_0OFF => 0x00500000,
    FF_0NUMB => 0x00600000,
    FF_0NUMO => 0x00700000,
    FF_0ENUM => 0x00800000,
    FF_0FOP => 0x00900000,
    FF_0STRO => 0x00A00000,
    FF_0STK => 0x00B00000,
    MS_1TYPE => 0x0F000000,
    FF_1VOID => 0x00000000,
    FF_1NUMH => 0x01000000,
    FF_1NUMD => 0x02000000,
    FF_1CHAR => 0x03000000,
    FF_1SEG => 0x04000000,
    FF_1OFF => 0x05000000,
    FF_1NUMB => 0x06000000,
    FF_1NUMO => 0x07000000,
    FF_1ENUM => 0x08000000,
    FF_1FOP => 0x09000000,
    FF_1STRO => 0x0A000000,
    FF_1STK => 0x0B000000,
    DT_TYPE => 0xF0000000,
    FF_BYTE => 0x00000000,
    FF_WORD => 0x10000000,
    FF_DWRD => 0x20000000,
    FF_QWRD => 0x30000000,
    FF_TBYT => 0x40000000,
    FF_ASCI => 0x50000000,
    FF_STRU => 0x60000000,
    FF_OWRD => 0x70000000,
    FF_FLOAT => 0x80000000,
    FF_DOUBLE => 0x90000000,
    FF_PACKREAL => 0xA0000000,
    FF_ALIGN => 0xB0000000,
    MS_CODE => 0xF0000000,
    FF_FUNC => 0x10000000,
    FF_IMMD => 0x40000000,
    FF_JUMP => 0x80000000,
    NEF_SEGS => 0x0001,
    NEF_RSCS => 0x0002,
    NEF_NAME => 0x0004,
    NEF_MAN => 0x0008,
    NEF_FILL => 0x0010,
    NEF_IMPS => 0x0020,
    NEF_TIGHT => 0x0040,
    NEF_FIRST => 0x0080,
    NEF_CODE => 0x0100,
    NEF_RELOAD => 0x0200,
    NEF_FLAT => 0x0400,
    IDCHK_OK => 0,
    IDCHK_ARG => -1,
    IDCHK_KEY => -2,
    IDCHK_MAX => -3,
    SN_CHECK => 0x01,
    SN_NOCHECK => 0x00,
    SN_PUBLIC => 0x02,
    SN_NON_PUBLIC => 0x04,
    SN_WEAK => 0x08,
    SN_NON_WEAK => 0x10,
    SN_AUTO => 0x20,
    SN_NON_AUTO => 0x40,
    SN_NOLIST => 0x80,
    SN_NOWARN => 0x100,
    SN_LOCAL => 0x200,
    DOUNK_SIMPLE => 0x0000,
    DOUNK_EXPAND => 0x0001,
    DOUNK_DELNAMES => 0x0002,
    OPND_OUTER => 0x80,
    REF_OFF8 => 0,
    REF_OFF16 => 1,
    REF_OFF32 => 2,
    REF_LOW8 => 3,
    REF_LOW16 => 4,
    REF_HIGH8 => 5,
    REF_HIGH16 => 6,
    REF_VHIGH => 7,
    REF_VLOW => 8,
    REF_OFF64 => 9,
    REFINFO_RVA => 0x10,
    REFINFO_PASTEND => 0x20,
    REFINFO_NOBASE => 0x80,
    AU_UNK => 10,
    AU_CODE => 20,
    AU_PROC => 30,
    AU_USED => 40,
    AU_LIBF => 60,
    AU_FINAL => 200,
    OFILE_MAP => 0,
    OFILE_EXE => 1,
    OFILE_IDC => 2,
    OFILE_LST => 3,
    OFILE_ASM => 4,
    OFILE_DIF => 5,
    GENFLG_MAPSEGS => 0x0001,
    GENFLG_MAPNAME => 0x0002,
    GENFLG_MAPDMNG => 0x0004,
    GENFLG_MAPLOC => 0x0008,
    GENFLG_IDCTYPE => 0x0008,
    GENFLG_ASMTYPE => 0x0010,
    GENFLG_GENHTML => 0x0020,
    GENFLG_ASMINC => 0x0040,
    CHART_PRINT_NAMES => 0x1000,
    CHART_GEN_GDL => 0x4000,
    CHART_WINGRAPH => 0x8000,
    CHART_NOLIBFUNCS => 0x0400,
    o_void => 0,
    o_reg => 1,
    o_mem => 2,
    o_phrase => 3,
    o_displ => 4,
    o_imm => 5,
    o_far => 6,
    o_near => 7,
    o_idpspec0 => 8,
    o_idpspec1 => 9,
    o_idpspec2 => 10,
    o_idpspec3 => 11,
    o_idpspec4 => 12,
    o_idpspec5 => 13,
};
use constant {
    o_trreg => o_idpspec0,
    o_dbreg => o_idpspec1,
    o_crreg => o_idpspec2,
    o_fpreg => o_idpspec3,
    o_mmxreg => o_idpspec4,
    o_xmmreg => o_idpspec5,
    o_reglist => o_idpspec1,
    o_creglist => o_idpspec2,
    o_creg => o_idpspec3,
    o_fpreg => o_idpspec4,
    o_fpreglist => o_idpspec5,
    o_text => o_idpspec5+1,
    o_spr => o_idpspec0,
    o_twofpr => o_idpspec1,
    o_shmbme => o_idpspec2,
    o_crf => o_idpspec3,
    o_crb => o_idpspec4,
    o_dcr => o_idpspec5,
};
use constant {
    SEARCH_UP => 0x00,
    SEARCH_DOWN => 0x01,
    SEARCH_NEXT => 0x02,
    SEARCH_CASE => 0x04,
    SEARCH_REGEX => 0x08,
    SEARCH_NOBRK => 0x10,
    SEARCH_NOSHOW => 0x20,
    INF_VERSION => 3,
    INF_PROCNAME => 5,
    INF_LFLAGS => 13,
    LFLG_PC_FPP => 0x01,
    LFLG_PC_FLAT => 0x02,
    LFLG_64BIT => 0x04,
    LFLG_64BIT => 0x04,
    LFLG_DBG_NOPATH => 0x08,
    LFLG_SNAPSHOT => 0x10,
    INF_DEMNAMES => 14,
    DEMNAM_CMNT => 0,
    DEMNAM_NAME => 1,
    DEMNAM_NONE => 2,
    DEMNAM_GCC3 => 4,
    INF_FILETYPE => 15,
    FT_EXE_OLD => 0,
    FT_COM_OLD => 1,
    FT_BIN => 2,
    FT_DRV => 3,
    FT_WIN => 4,
    FT_HEX => 5,
    FT_MEX => 6,
    FT_LX => 7,
    FT_LE => 8,
    FT_NLM => 9,
    FT_COFF => 10,
    FT_PE => 11,
    FT_OMF => 12,
    FT_SREC => 13,
    FT_ZIP => 14,
    FT_OMFLIB => 15,
    FT_AR => 16,
    FT_LOADER => 17,
    FT_ELF => 18,
    FT_W32RUN => 19,
    FT_AOUT => 20,
    FT_PRC => 21,
    FT_EXE => 22,
    FT_COM => 23,
    FT_AIXAR => 24,
    INF_FCORESIZ => 17,
    INF_CORESTART => 21,
    INF_OSTYPE => 25,
    OSTYPE_MSDOS => 0x0001,
    OSTYPE_WIN => 0x0002,
    OSTYPE_OS2 => 0x0004,
    OSTYPE_NETW => 0x0008,
    INF_APPTYPE => 27,
    APPT_CONSOLE => 0x0001,
    APPT_GRAPHIC => 0x0002,
    APPT_PROGRAM => 0x0004,
    APPT_LIBRARY => 0x0008,
    APPT_DRIVER => 0x0010,
    APPT_1THREAD => 0x0020,
    APPT_MTHREAD => 0x0040,
    APPT_16BIT => 0x0080,
    APPT_32BIT => 0x0100,
    INF_START_SP => 29,
    INF_AF => 33,
    AF_FIXUP => 0x0001,
    AF_MARKCODE => 0x0002,
    AF_UNK => 0x0004,
    AF_CODE => 0x0008,
    AF_PROC => 0x0010,
    AF_USED => 0x0020,
    AF_FLIRT => 0x0040,
    AF_PROCPTR => 0x0080,
    AF_JFUNC => 0x0100,
    AF_NULLSUB => 0x0200,
    AF_LVAR => 0x0400,
    AF_TRACE => 0x0800,
    AF_ASCII => 0x1000,
    AF_IMMOFF => 0x2000,
    AF_DREFOFF => 0x4000,
    AF_FINAL => 0x8000,
    INF_START_IP => 35,
    INF_BEGIN_EA => 39,
    INF_MIN_EA => 43,
    INF_MAX_EA => 47,
    INF_OMIN_EA => 51,
    INF_OMAX_EA => 55,
    INF_LOW_OFF => 59,
    INF_HIGH_OFF => 63,
    INF_MAXREF => 67,
    INF_ASCII_BREAK => 71,
    INF_WIDE_HIGH_BYTE_FIRST => 72,
    INF_INDENT => 73,
    INF_COMMENT => 74,
    INF_XREFNUM => 75,
    INF_ENTAB => 76,
    INF_SPECSEGS => 77,
    INF_VOIDS => 78,
    INF_SHOWAUTO => 80,
    INF_AUTO => 81,
    INF_BORDER => 82,
    INF_NULL => 83,
    INF_GENFLAGS => 84,
    INFFL_LZERO => 0x01,
    INFFL_ALLASM => 0x02,
    INF_SHOWPREF => 85,
    INF_PREFSEG => 86,
    INF_ASMTYPE => 87,
    INF_BASEADDR => 88,
    INF_XREFS => 92,
    SW_SEGXRF => 0x01,
    SW_XRFMRK => 0x02,
    SW_XRFFNC => 0x04,
    SW_XRFVAL => 0x08,
    INF_BINPREF => 93,
    INF_CMTFLAG => 95,
    SW_RPTCMT => 0x01,
    SW_ALLCMT => 0x02,
    SW_NOCMT => 0x04,
    SW_LINNUM => 0x08,
    SW_MICRO => 0x10,
    INF_NAMETYPE => 96,
    NM_REL_OFF => 0,
    NM_PTR_OFF => 1,
    NM_NAM_OFF => 2,
    NM_REL_EA => 3,
    NM_PTR_EA => 4,
    NM_NAM_EA => 5,
    NM_EA => 6,
    NM_EA4 => 7,
    NM_EA8 => 8,
    NM_SHORT => 9,
    NM_SERIAL => 10,
    INF_SHOWBADS => 97,
    INF_PREFFLAG => 98,
    PREF_SEGADR => 0x01,
    PREF_FNCOFF => 0x02,
    PREF_STACK => 0x04,
    INF_PACKBASE => 99,
    INF_ASCIIFLAGS => 100,
    ASCF_GEN => 0x01,
    ASCF_AUTO => 0x02,
    ASCF_SERIAL => 0x04,
    ASCF_COMMENT => 0x10,
    ASCF_SAVECASE => 0x20,
    INF_LISTNAMES => 101,
    LN_NORMAL => 0x01,
    LN_PUBLIC => 0x02,
    LN_AUTO => 0x04,
    LN_WEAK => 0x08,
    INF_ASCIIPREF => 102,
    INF_ASCIISERNUM => 118,
    INF_ASCIIZEROES => 122,
    INF_TRIBYTE_ORDER => 125,
    TRIBYTE_123 => 0,
    TRIBYTE_132 => 1,
    TRIBYTE_213 => 2,
    TRIBYTE_231 => 3,
    TRIBYTE_312 => 4,
    TRIBYTE_321 => 5,
    INF_MF => 126,
    INF_ORG => 127,
    INF_ASSUME => 128,
    INF_CHECKARG => 129,
    INF_START_SS => 130,
    INF_START_CS => 134,
    INF_MAIN => 138,
    INF_SHORT_DN => 142,
    INF_LONG_DN => 146,
    INF_DATATYPES => 150,
    INF_STRTYPE => 154,
    ASCSTR_TERMCHR => 0,
    ASCSTR_C => 0,
    ASCSTR_PASCAL => 1,
    ASCSTR_LEN2 => 2,
    ASCSTR_UNICODE => 3,
    ASCSTR_LEN4 => 4,
    ASCSTR_ULEN2 => 5,
    ASCSTR_ULEN4 => 6,
    ASCSTR_LAST => 6,
    INF_AF2 => 158,
    AF2_JUMPTBL => 0x0001,
    AF2_DODATA => 0x0002,
    AF2_HFLIRT => 0x0004,
    AF2_STKARG => 0x0008,
    AF2_REGARG => 0x0010,
    AF2_CHKUNI => 0x0020,
    AF2_SIGCMT => 0x0040,
    AF2_SIGMLT => 0x0080,
    AF2_FTAIL => 0x0100,
    AF2_DATOFF => 0x0200,
    AF2_ANORET => 0x0400,
    AF2_VERSP => 0x0800,
    AF2_DOCODE => 0x1000,
    AF2_TRFUNC => 0x2000,
    AF2_PURDAT => 0x4000,
    INF_NAMELEN => 160,
    INF_MARGIN => 162,
    INF_LENXREF => 164,
    INF_LPREFIX => 166,
    INF_LPREFIXLEN => 182,
    INF_COMPILER => 183,
    COMP_MASK => 0x0F,
    COMP_UNK => 0x00,
    COMP_MS => 0x01,
    COMP_BC => 0x02,
    COMP_WATCOM => 0x03,
    COMP_GNU => 0x06,
    COMP_VISAGE => 0x07,
    COMP_BP => 0x08,
    INF_MODEL => 184,
    INF_SIZEOF_INT => 185,
    INF_SIZEOF_BOOL => 186,
    INF_SIZEOF_ENUM => 187,
    INF_SIZEOF_ALGN => 188,
    INF_SIZEOF_SHORT => 189,
    INF_SIZEOF_LONG => 190,
    INF_SIZEOF_LLONG => 191,
    SETPROC_COMPAT => 0,
    SETPROC_ALL => 1,
    SETPROC_USER => 2,
    SETPROC_FATAL => 0x80,
    IDA_STATUS_READY => 0,
    IDA_STATUS_THINKING => 1,
    IDA_STATUS_WAITING => 2,
    IDA_STATUS_WORK => 3,
    SEGDEL_PERM => 0x0001,
    SEGDEL_KEEP => 0x0002,
    SEGDEL_SILENT => 0x0004,
    saAbs => 0,
    saRelByte => 1,
    saRelWord => 2,
    saRelPara => 3,
    saRelPage => 4,
    saRelDble => 5,
    saRel4K => 6,
    saGroup => 7,
    saRel32Bytes => 8,
    saRel64Bytes => 9,
    saRelQword => 10,
    scPriv => 0,
    scPub => 2,
    scPub2 => 4,
    scStack => 5,
    scCommon => 6,
    scPub3 => 7,
    SEG_NORM => 0,
    SEG_XTRN => 1,
    SEG_CODE => 2,
    SEG_DATA => 3,
    SEG_IMP => 4,
    SEG_GRP => 6,
    SEG_NULL => 7,
    SEG_UNDF => 8,
    SEG_BSS => 9,
    SEG_ABSSYM => 10,
    SEG_COMM => 11,
    SEG_IMEM => 12,
    SEGATTR_START => 0,
    SEGATTR_END => 4,
    SEGATTR_ORGBASE => 16,
    SEGATTR_ALIGN => 20,
    SEGATTR_COMB => 21,
    SEGATTR_PERM => 22,
    SEGATTR_BITNESS => 23,
    SEGATTR_FLAGS => 24,
    SEGATTR_SEL => 26,
    SEGATTR_ES => 30,
    SEGATTR_CS => 34,
    SEGATTR_SS => 38,
    SEGATTR_DS => 42,
    SEGATTR_FS => 46,
    SEGATTR_GS => 50,
    SEGATTR_TYPE => 94,
    SEGATTR_COLOR => 95,
    SFL_COMORG => 0x01,
    SFL_OBOK => 0x02,
    SFL_HIDDEN => 0x04,
    SFL_DEBUG => 0x08,
    SFL_LOADER => 0x10,
    SFL_HIDETYPE => 0x20,
    fl_CF => 16,
    fl_CN => 17,
    fl_JF => 18,
    fl_JN => 19,
    fl_F => 21,
    XREF_USER => 32,
    dr_O => 1,
    dr_W => 2,
    dr_R => 3,
    dr_T => 4,
    dr_I => 5,
    FUNCATTR_START => 0,
    FUNCATTR_END => 4,
    FUNCATTR_FLAGS => 8,
    FUNCATTR_FRAME => 10,
    FUNCATTR_FRSIZE => 14,
    FUNCATTR_FRREGS => 18,
    FUNCATTR_ARGSIZE => 20,
    FUNCATTR_FPD => 24,
    FUNCATTR_COLOR => 28,
    FUNC_NORET => 0x00000001,
    FUNC_FAR => 0x00000002,
    FUNC_LIB => 0x00000004,
    FUNC_STATIC => 0x00000008,
    FUNC_FRAME => 0x00000010,
    FUNC_USERFAR => 0x00000020,
    FUNC_HIDDEN => 0x00000040,
    FUNC_THUNK => 0x00000080,
    FUNC_BOTTOMBP => 0x00000100,
    FIXUP_MASK => 0xF,
    FIXUP_BYTE => 0,  # FIXUP_OFF8
    FIXUP_OFF8 => 0,
    FIXUP_OFF16 => 1,
    FIXUP_SEG16 => 2,
    FIXUP_PTR32 => 3,
    FIXUP_OFF32 => 4,
    FIXUP_PTR48 => 5,
    FIXUP_HI8 => 6,
    FIXUP_HI16 => 7,
    FIXUP_LOW8 => 8,
    FIXUP_LOW16 => 9,
    FIXUP_REL => 0x10,
    FIXUP_SELFREL => 0x0,
    FIXUP_EXTDEF => 0x20,
    FIXUP_UNUSED => 0x40,
    FIXUP_CREATED => 0x80,
    STRUC_ERROR_MEMBER_NAME => -1,
    STRUC_ERROR_MEMBER_OFFSET => -2,
    STRUC_ERROR_MEMBER_SIZE => -3,
    STRUC_ERROR_MEMBER_TINFO => -4,
    STRUC_ERROR_MEMBER_STRUCT => -5,
    STRUC_ERROR_MEMBER_UNIVAR => -6,
    STRUC_ERROR_MEMBER_VARLAST => -7,
    CONST_ERROR_NAME => 1,
    CONST_ERROR_VALUE => 2,
    CONST_ERROR_ENUM => 3,
    CONST_ERROR_MASK => 4,
    CONST_ERROR_ILLV => 5,
    AR_LONG => 'A',
    AR_STR => 'S',
    PT_FILE => 0x0001,
    PT_SILENT => 0x0002,
    PT_PAKDEF => 0x0000,
    PT_PAK1 => 0x0010,
    PT_PAK2 => 0x0020,
    PT_PAK4 => 0x0030,
    PT_PAK8 => 0x0040,
    PT_PAK16 => 0x0050,
    PRTYPE_1LINE => 0x0000,
    PRTYPE_MULTI => 0x0001,
    PRTYPE_TYPE => 0x0002,
    PRTYPE_PRAGMA => 0x0004,
    WFNE_ANY => 0x0001,
    WFNE_SUSP => 0x0002,
    WFNE_SILENT => 0x0004,
    WFNE_CONT => 0x0008,
    NOTASK => -2,
    DBG_ERROR => -1,
    DBG_TIMEOUT => 0,
    PROCESS_START => 0x00000001,
    PROCESS_EXIT => 0x00000002,
    THREAD_START => 0x00000004,
    THREAD_EXIT => 0x00000008,
    BREAKPOINT => 0x00000010,
    STEP => 0x00000020,
    EXCEPTION => 0x00000040,
    LIBRARY_LOAD => 0x00000080,
    LIBRARY_UNLOAD => 0x00000100,
    INFORMATION => 0x00000200,
    SYSCALL => 0x00000400,
    WINMESSAGE => 0x00000800,
    PROCESS_ATTACH => 0x00001000,
    PROCESS_DETACH => 0x00002000,
    DSTATE_SUSP_FOR_EVENT => -2,
    DSTATE_SUSP => -1,
    DSTATE_NOTASK => 0,
    DSTATE_RUN => 1,
    DSTATE_RUN_WAIT_ATTACH => 2,
    DSTATE_RUN_WAIT_END => 3,
    DOPT_SEGM_MSGS => 0x00000001,
    DOPT_START_BPT => 0x00000002,
    DOPT_THREAD_MSGS => 0x00000004,
    DOPT_THREAD_BPT => 0x00000008,
    DOPT_BPT_MSGS => 0x00000010,
    DOPT_LIB_MSGS => 0x00000040,
    DOPT_LIB_BPT => 0x00000080,
    DOPT_INFO_MSGS => 0x00000100,
    DOPT_INFO_BPT => 0x00000200,
    DOPT_REAL_MEMORY => 0x00000400,
    DOPT_REDO_STACK => 0x00000800,
    DOPT_ENTRY_BPT => 0x00001000,
    BPTATTR_EA => 0,
    BPTATTR_SIZE => 4,
    BPTATTR_TYPE => 8,
    BPT_EXEC => 0,
    BPT_WRITE => 1,
    BPT_RDWR => 3,
    BPT_SOFT => 4,
    BPTATTR_COUNT => 12,
    BPTATTR_FLAGS => 16,
    BPT_BRK => 0x01,
    BPT_TRACE => 0x02,
    BPTATTR_COND => 20,
    TRACE_STEP => 0x0,
    TRACE_INSN => 0x1,
    TRACE_FUNC => 0x2,
    CIC_ITEM => 1,
    CIC_FUNC => 2,
    CIC_SEGM => 3,
    DEFCOLOR => 0xFFFFFFFF,
    INF_START_AF => 33,
    I_IDA => 0,
    I_AMIGA => 1,
    I_ARM => 2,
    I_BEOS => 3,
    I_BIN => 4,
    I_DLL => 5,
    I_DOS => 6,
    I_DREAMCAST => 7,
    I_DRV => 8,
    I_DMP => 9,
    I_EXE => 10,
    I_GAMEBOY => 11,
    I_GEOS => 12,
    I_HEX => 13,
    I_JAVA => 14,
    I_LIB => 15,
    I_MAC => 16,
    I_N64 => 17,
    I_NET => 18,
    I_NETWARE => 19,
    I_OBJ => 20,
    I_OCX => 21,
    I_OS2 => 22,
    I_OSX => 23,
    I_PALM => 24,
    I_PLAYSTATION => 25,
    I_RAW => 26,
    I_ROM => 27,
    I_SIS => 28,
    I_SYMBIAN => 29,
    I_UNIX => 30,
    I_UNK => 31,
    I_WIN => 32,
    I_XBOX => 33,
    I_ZIP => 34,
};
#define64  MAXADDR         0xFF00000000000000
#define64  SEGATTR_START    0
#define64  SEGATTR_END      8
#define64  SEGATTR_ORGBASE 32
#define64  SEGATTR_ALIGN   40
#define64  SEGATTR_COMB    41
#define64  SEGATTR_PERM    42
#define64  SEGATTR_BITNESS 43
#define64  SEGATTR_FLAGS   44
#define64  SEGATTR_SEL     46
#define64  SEGATTR_ES      54
#define64  SEGATTR_CS      62
#define64  SEGATTR_SS      70
#define64  SEGATTR_DS      78
#define64  SEGATTR_FS      86
#define64  SEGATTR_GS      94
#define64  SEGATTR_TYPE    182
#define64  SEGATTR_COLOR   183
#define64  INF_CORESTART             25
#define64  INF_OSTYPE                33
#define64  INF_APPTYPE               35
#define64  INF_START_SP              37
#define64  INF_AF                    45
#define64  INF_START_IP              47
#define64  INF_BEGIN_EA              55
#define64  INF_MIN_EA                63
#define64  INF_MAX_EA                71
#define64  INF_OMIN_EA               79
#define64  INF_OMAX_EA               87
#define64  INF_LOW_OFF               95
#define64  INF_HIGH_OFF             103
#define64  INF_MAXREF               111
#define64  INF_ASCII_BREAK          119
#define64  INF_WIDE_HIGH_BYTE_FIRST 120
#define64  INF_INDENT               121
#define64  INF_COMMENT              122
#define64  INF_XREFNUM              123
#define64  INF_ENTAB                124
#define64  INF_SPECSEGS             125
#define64  INF_VOIDS                126
#define64  INF_SHOWAUTO             128
#define64  INF_AUTO                 129
#define64  INF_BORDER               130
#define64  INF_NULL                 131
#define64  INF_GENFLAGS             132
#define64  INF_SHOWPREF             133
#define64  INF_PREFSEG              134
#define64  INF_ASMTYPE              135
#define64  INF_BASEADDR             136
#define64  INF_XREFS                144
#define64  INF_BINPREF              145
#define64  INF_CMTFLAG              147
#define64  INF_NAMETYPE             148
#define64  INF_SHOWBADS             149
#define64  INF_PREFFLAG             150
#define64  INF_PACKBASE             151
#define64  INF_ASCIIFLAGS           152
#define64  INF_LISTNAMES            153
#define64  INF_ASCIIPREF            154
#define64  INF_ASCIISERNUM          170
#define64  INF_ASCIIZEROES          178
#define64  INF_MF                   182
#define64  INF_ORG                  183
#define64  INF_ASSUME               184
#define64  INF_CHECKARG             185
#define64  INF_START_SS             186
#define64  INF_START_CS             194
#define64  INF_MAIN                 202
#define64  INF_SHORT_DN             210
#define64  INF_LONG_DN              218
#define64  INF_DATATYPES            226
#define64  INF_STRTYPE              234
#define64  INF_AF2                  242
#define64  INF_NAMELEN              244
#define64  INF_MARGIN               246
#define64  INF_LENXREF              248
#define64  INF_LPREFIX              250
#define64  INF_LPREFIXLEN           266
#define64  INF_COMPILER             267
#define64  INF_MODEL                268
#define64  INF_SIZEOF_INT           269
#define64  INF_SIZEOF_BOOL          270
#define64  INF_SIZEOF_ENUM          271
#define64  INF_SIZEOF_ALGN          272
#define64  INF_SIZEOF_SHORT         273
#define64  INF_SIZEOF_LONG          274
#define64  INF_SIZEOF_LLONG         275
#define64  FUNCATTR_START    0
#define64  FUNCATTR_END      8
#define64  FUNCATTR_FLAGS   16
#define64  FUNCATTR_FRAME   18
#define64  FUNCATTR_FRSIZE  26
#define64  FUNCATTR_FRREGS  34
#define64  FUNCATTR_ARGSIZE 36
#define64  FUNCATTR_FPD     44
#define64  FUNCATTR_COLOR   52
#define64  BPTATTR_SIZE   8
#define64  BPTATTR_TYPE  16
#define64  BPTATTR_COUNT 20
#define64  BPTATTR_FLAGS 24
#define64  BPTATTR_COND  28
1;
